Page MenuHomePhabricator

Perform memory accesses in the same addrspace as the corresponding memref.
ClosedPublic

Authored by awpr on Feb 9 2021, 3:59 PM.

Details

Summary

It's not necessarily the case on all architectures that all memory is
addressable in addrspace 0, so casting the pointer to addrspace 0 is
liable to cause problems.

Diff Detail

Event Timeline

awpr created this revision.Feb 9 2021, 3:59 PM
awpr requested review of this revision.Feb 9 2021, 3:59 PM
ftynse accepted this revision.Feb 10 2021, 1:12 AM
This revision is now accepted and ready to land.Feb 10 2021, 1:12 AM
nicolasvasilache accepted this revision.Feb 10 2021, 3:35 AM
This revision now requires review to proceed.Feb 10 2021, 9:15 AM
aartbik accepted this revision.Feb 10 2021, 9:46 AM

This all looks like a very reasonable change to me, but thanks for adding the original author to see if there are subtleties missed ;-)

awpr removed 1 blocking reviewer(s): whchung.Feb 18 2021, 11:14 AM
This revision is now accepted and ready to land.Feb 18 2021, 11:14 AM
awpr updated this revision to Diff 324723.Feb 18 2021, 11:57 AM

Rebased onto more recent github/main.

This revision was landed with ongoing or failed builds.Feb 18 2021, 12:36 PM
This revision was automatically updated to reflect the committed changes.